package uk.co.petertribble.picl;

import javax.swing.JTree;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeSelectionModel;

/**
 * Java interface to Solaris PICL data.
 * Simply specifies an enumeration and lookup mechanism.
 */
public class JPiclTree extends JTree {

    public JPiclTree(PiclObject piclobject) {
	setModel(new DefaultTreeModel(new JPiclTreeNode(piclobject)));
	createTreeModelListener();
	this.getSelectionModel().setSelectionMode(
				TreeSelectionModel.SINGLE_TREE_SELECTION);
    }
}
