package uk.co.petertribble.picl;

import java.util.Map;

/**
 * Generate HTML output suitable for display.
 */
public class JPiclHtml {

    private JPiclHtml() {
    }

    public static String nodeHtml(JPiclTreeNode jptn) {
	PiclObject po = (PiclObject) jptn.getUserObject();
	StringBuilder sb = new StringBuilder();
	sb.append("<h1>");
	sb.append(po.toString());
	sb.append("</h1><p>");
	Map <String, String> m = po.getPiclData();
	sb.append("<dl>");
	for (String s : m.keySet()) {
	    sb.append("<dt><b>");
	    sb.append(s);
	    sb.append("<dd>");
	    sb.append(m.get(s));
	}
	sb.append("</dl>");
	sb.append("</p>");
	return sb.toString();
    }

}
